<?php

/* 
 * Copyright (C) 2015,2016 Lorenzo Carbonell <https://launchpad.net/~lorenzo-carbonell>
 * This file is part of Estadisticas Web.
 *
 * Estadisticas Web is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Estadisticas Web is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Google Analytics ES.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

 
echo '<h2>Configuración</h2>';
echo '<form method="POST" action ="options.php">';
settings_fields('awe-plugin-settings-group');
do_settings_sections('awe-plugin-settings-group');
if(get_option('awe_plugin_carga_asincrona')==1){
    $text_checked = 'checked="checked"';
}else{
    $text_checked = '';
}
echo '
<label>ID de seguimiento:</label>
<input type="text" name="awe_plugin_id_seguimiento" id="awe_plugin_id_seguimiento"= value="'.  get_option('awe_plugin_id_seguimiento').'"/>
<br/>
<br/>
<label>Compatibilidad con carga previa:</label>
<input type="checkbox" name="awe_plugin_carga_asincrona" value="1" '.$text_checked.'/>';
echo submit_button('Guardar');
echo '</form><br/>';
echo '<p>Nota:</p>
    <p>Aunque el fragmento de seguimiento JavaScript descrito por
    defecto garantiza, según <a href="https://developers.google.com/analytics/devguides/collection/analyticsjs/">Google</a>,
    que la secuencia de comandos se cargará y ejecutará de forma
    asíncrona en todos los navegadores, tiene la desventaja de <strong>no
    permitir que los navegadores modernos realicen una carga previa de
    dicha secuencia</strong>.</p>
    <p>Si seleccionas la opción <strong>compatibilidad con carga previa
    </strong> se utilizará un código alternativo que agrega esta 
    compatibilidad, lo que proporciona un <strong>pequeño impulso de
    rendimiento en los navegadores modernos</strong>, pero puede
    <strong>afectar negativamente a la carga síncrona y la ejecución en 
    IE9 y en navegadores para dispositivos móviles antiguos</strong>, 
    que no reconocen el atributo de secuencia de comandos async.</p>
    <p style="color:red;"><strong>Usa la <i>compatibilidad con carga previa</i> solo si tus visitantes utilizan
    principalmente navegadores modernos para acceder a tu sitio web.<strong></p>';
?>
